## indicator-remindor 12.07.17-extras12.04.1

=== debian/changelog ===
indicator-remindor (12.07.17-extras12.04.1) precise; urgency=low

  * Initial release.

 -- Brian Douglass <bhdouglass@gmail.com>  Fri, 13 Jul 2012 15:28:11 -0400
