=== debian/control ===
Source: indicator-remindor
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Brian Douglass <bhdouglass@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: indicator-remindor
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 gir1.2-gtk-3.0,
 python-desktopcouch-records,
 gir1.2-glib-2.0,
 python-dateutil,
 gir1.2-launchpad-integration-3.0,
 python-pygame,
 gir1.2-appindicator3-0.1,
 yelp,
 desktopcouch,
 python-desktopcouch
Description: Schedule alarms/reminders easily from an indicator
 Indicator Remindor is an indicator app that allows you to schedule
 reminders (or alarms).  An alarm can be configured to show a
 notification, play a sound, and/or run a command.  Alarms can be
 scheduled on one day or they can be set to repeat every day, every
 monday, every 30 days, etc.
