=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/indicator-remindor/bin                 --install-data=/opt/extras.ubuntu.com/indicator-remindor                 --install-lib=/opt/extras.ubuntu.com/indicator-remindor

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/indicator-remindor


override_dh_install:
	dh_install
	mkdir -p debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/bin
	if [ -x debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/indicator-remindor ]; then mv debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/indicator-remindor debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/bin; fi
	if [ -f debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/share/applications/indicator-remindor.desktop ]; then \
		mkdir -p debian/indicator-remindor/usr/share/applications; \
		mv debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/share/applications/indicator-remindor.desktop debian/indicator-remindor/usr/share/applications/extras-indicator-remindor.desktop; \
		rmdir --ignore-fail-on-non-empty debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/share/applications; \
		sed -i 's|Exec=[^ ]*|Exec=/opt/extras.ubuntu.com/indicator-remindor/bin/indicator-remindor|' debian/indicator-remindor/usr/share/applications/extras-indicator-remindor.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/indicator-remindor/|' debian/indicator-remindor/usr/share/applications/extras-indicator-remindor.desktop; \
	fi
	grep -RlZ 'import gettext' debian/indicator-remindor/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/indicator-remindor/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('indicator-remindor')" debian/indicator-remindor/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('indicator-remindor')\)|locale\.bindtextdomain('indicator-remindor', '/opt/extras.ubuntu.com/indicator-remindor/share/locale')\nlocale\1|" 
	sed -i "s|__indicator_remindor_data_directory__ =.*|__indicator_remindor_data_directory__ = '/opt/extras.ubuntu.com/indicator-remindor/share/indicator-remindor/'|" debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/indicator_remindor*/indicator_remindorconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/indicator-remindor/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/bin/indicator-remindor
	if [ -d debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/share/glib-2.0/schemas ]; then glib-compile-schemas debian/indicator-remindor/opt/extras.ubuntu.com/indicator-remindor/share/glib-2.0/schemas; fi
